
Katello - Bug #4850

katello-configure seems to apply root owner/group to pg_hba.conf

03/25/2014 05:05 PM - Michael Stead

Status: Closed   

Priority: High   

Assignee: Eric Helms   

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After running 'katello-configure' as per the documents here

1

, postgres fails to start causing issues for the remainder of the install.

It appears that katello-configure changes the owner and group of /var/lib/pgsql/data/pg_hba.conf to root after applying changes to it.

Postgresql can not read it when its service is started.

Expected:

After pg_hba.conf is updated by katello-configure, owner/group should remain as postgres.

Installed based on [1] -- OS: F19

------------------------------------

katello-cli-1.4.7-1.fc19.noarch

katello-common-1.4.15-1.fc19.noarch

katello-selinux-1.4.5-1.fc19.noarch

katello-all-1.4.15-1.fc19.noarch

katello-certs-tools-1.4.4-1.fc19.noarch

katello-glue-candlepin-1.4.15-1.fc19.noarch

katello-cli-common-1.4.7-1.fc19.noarch

pulp-katello-plugins-0.2-1.fc19.noarch

signo-katello-0.0.22-1.fc19.noarch

katello-candlepin-cert-key-pair-1.0-1.noarch

katello-glue-elasticsearch-1.4.15-1.fc19.noarch

katello-qpid-broker-key-pair-1.0-1.noarch

katello-configure-1.4.9-1.fc19.noarch

katello-1.4.15-1.fc19.noarch

katello-qpid-client-key-pair-1.0-1.noarch

katello-repos-1.4.4-1.fc19.noarch

katello-glue-pulp-1.4.15-1.fc19.noarch

[1] https://fedorahosted.org/katello/wiki/Install

History

#1 - 04/04/2014 05:46 PM - Eric Helms

- Status changed from New to Closed

- Assignee set to Eric Helms

- Triaged changed from No to Yes

Due to changes incurred between Katello 1.4 and 1.5 that include a complete overhaul of the installer, I'm closing this as won't fix since this should be

handled entirely by the upstream postgresql puppet module.

#2 - 08/21/2014 02:37 PM - Eric Helms

- translation missing: en.field_release set to 13
